  upstream front {
    {{ nginx_front_address }}
   }
    
  upstream back {
    {{ nginx_back_address }}
   }

  server {
    listen 80;
    server_name {{ nginx_domain_site }};
    location / {
      proxy_pass http://front;
      proxy_set_header Host $host;
      proxy_set_header X-Forwarded-Proto $scheme;
      proxy_set_header X-Real-IP $remote_addr;
    }

    location /student/ {
      proxy_pass http://back;
      proxy_set_header Host $host;
      proxy_set_header X-Forwarded-Proto $scheme;
      proxy_set_header X-Real-IP $remote_addr;
    }
  }
